Skip to main content
GET
/
trader
/
{authority}
/
funding-history
Get funding history
curl --request GET \
  --url https://perp-api.phoenix.trade/trader/{authority}/funding-history
{
  "events": [
    {
      "fundingPayment": "<string>",
      "fundingRatePercentage": "<string>",
      "positionSide": "<string>",
      "positionSize": "<string>",
      "symbol": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Path Parameters

authority
string
required

Authority pubkey

Query Parameters

traderPdaIndex
integer<int32>
symbol
string
startTime
integer<int64>
endTime
integer<int64>
limit
integer<int64>
cursor
string
resolution
string

Response

200 - application/json

Funding history

events
object[]
required
hasMore
boolean
required
nextCursor
string | null
prevCursor
string | null